## com.cyscape.browserhawk
Class LogOptions

    java.lang.Object
      com.cyscape.browserhawk.LogOptions

    public class LogOptions

extends java.lang.Object

Constructor Summary
`LogOptions()`

Method Summary
`java.lang.String` | `getBrwsURL()`
`java.lang.String` | `getBrwsURLComplete()`
`int` | `getExtraInt1()`
`int` | `getExtraInt2()`
`int` | `getExtraInt3()`
`java.lang.String` | `getExtraString1()`
`java.lang.String` | `getExtraString2()`
`java.lang.String` | `getExtraString3()`
`java.lang.String` | `getExtraString4()`
`java.lang.String` | `getExtraString5()`
`java.lang.String` | `getPropertiesToLog()`
`java.lang.String` | `getSessionID()`
`java.lang.String` | `getSessionIDCookieName()`
`java.lang.String` | `getUserID()`
`java.lang.String` | `getUserIDCookieName()`
`LogOptions` | `setBrwsURL(java.lang.String brwsURL)`
`LogOptions` | `setBrwsURLComplete(java.lang.String brwsURLComplete)`
`LogOptions` | `setExtraInt1(int extraInt1)`
`LogOptions` | `setExtraInt2(int extraInt2)`
`LogOptions` | `setExtraInt3(int extraInt3)`
`LogOptions` | `setExtraString1(java.lang.String extraString1)`
`LogOptions` | `setExtraString2(java.lang.String extraString2)`
`LogOptions` | `setExtraString3(java.lang.String extraString3)`
`LogOptions` | `setExtraString4(java.lang.String extraString4)`
`LogOptions` | `setExtraString5(java.lang.String extraString5)`
`LogOptions` | `setPropertiesToLog(java.lang.String propertiesToLog)`
`LogOptions` | `setSessionID(java.lang.String sessionString)`
`LogOptions` | `setSessionIDCookieName(java.lang.String sessionCookieName)`
`LogOptions` | `setUserID(java.lang.String userString)`
`LogOptions` | `setUserIDCookieName(java.lang.String userCookieName)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LogOptions

    public LogOptions()

Method Detail

### getPropertiesToLog

    public java.lang.String getPropertiesToLog()

### setPropertiesToLog

    public LogOptions setPropertiesToLog(java.lang.String propertiesToLog)

### getUserID

    public java.lang.String getUserID()

### setUserID

    public LogOptions setUserID(java.lang.String userString)

### getUserIDCookieName

    public java.lang.String getUserIDCookieName()

### setUserIDCookieName

    public LogOptions setUserIDCookieName(java.lang.String userCookieName)

### getSessionID

    public java.lang.String getSessionID()

### setSessionID

    public LogOptions setSessionID(java.lang.String sessionString)

### getSessionIDCookieName

    public java.lang.String getSessionIDCookieName()

### setSessionIDCookieName

    public LogOptions setSessionIDCookieName(java.lang.String sessionCookieName)

### getExtraString1

    public java.lang.String getExtraString1()

### setExtraString1

    public LogOptions setExtraString1(java.lang.String extraString1)

### getExtraString2

    public java.lang.String getExtraString2()

### setExtraString2

    public LogOptions setExtraString2(java.lang.String extraString2)

### getExtraString3

    public java.lang.String getExtraString3()

### setExtraString3

    public LogOptions setExtraString3(java.lang.String extraString3)

### getExtraString4

    public java.lang.String getExtraString4()

### setExtraString4

    public LogOptions setExtraString4(java.lang.String extraString4)

### getExtraString5

    public java.lang.String getExtraString5()

### setExtraString5

    public LogOptions setExtraString5(java.lang.String extraString5)

### getExtraInt1

    public int getExtraInt1()

### setExtraInt1

    public LogOptions setExtraInt1(int extraInt1)

### getExtraInt2

    public int getExtraInt2()

### setExtraInt2

    public LogOptions setExtraInt2(int extraInt2)

### getExtraInt3

    public int getExtraInt3()

### setExtraInt3

    public LogOptions setExtraInt3(int extraInt3)

### getBrwsURL

    public java.lang.String getBrwsURL()

### setBrwsURL

    public LogOptions setBrwsURL(java.lang.String brwsURL)

### getBrwsURLComplete

    public java.lang.String getBrwsURLComplete()

### setBrwsURLComplete

    public LogOptions setBrwsURLComplete(java.lang.String brwsURLComplete)